Bug 13619 - Acq home: ensure 'manage suggestions' goes to pending suggestions
Summary: Acq home: ensure 'manage suggestions' goes to pending suggestions
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-23 17:11 UTC by Marjorie Barry-Vila
Modified: 2016-12-05 21:22 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
suggestion (93.86 KB, image/png)
2015-01-23 17:11 UTC, Marjorie Barry-Vila
Details
Bug 13619: Acq home: ensure 'manage suggestions' goes to pending suggestions (1.55 KB, patch)
2015-05-25 07:25 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13619: Acq home: ensure 'manage suggestions' goes to pending suggestions (1.61 KB, patch)
2015-05-26 18:11 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 13619: Acq home: ensure 'manage suggestions' goes to pending suggestions (1.67 KB, patch)
2015-05-27 15:20 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marjorie Barry-Vila 2015-01-23 17:11:52 UTC
Created attachment 35515 [details]
suggestion

Hi,
It would be nice that a link be added on text "suggestion waiting" to arrive in pending tab in suggestion.pl.

Regards,
Marjorie
Comment 1 Katrin Fischer 2015-05-25 07:25:08 UTC Comment hidden (obsolete)
Comment 2 sandboxes@biblibre.com 2015-05-26 18:11:11 UTC
Patch tested with a sandbox, by Marjorie <marjorie.barry-vila@ccsr.qc.ca>
Comment 3 sandboxes@biblibre.com 2015-05-26 18:11:35 UTC Comment hidden (obsolete)
Comment 4 Marjorie Barry-Vila 2015-05-26 18:12:41 UTC
(In reply to Katrin Fischer from comment #1)
> Created attachment 39472 [details] [review] [review]
> Bug 13619: Acq home: ensure 'manage suggestions' goes to pending suggestions
> 
> The link on the start page of Koha goes to the pending suggestions tab
> explicitly. The link on the acquisition start page doesn't do that so
> when you have your own status it might show another tab first.
> Patch links to be the same and explicitly target the pending tab.
> 
> To test:
> - create a new suggestion
> - verify link from the acq start page leads to the pending tab
> - verify link from the Koha start page does the same


I tested the patch on sandbox and it works as expected!
Thanks!

Marjorie
Comment 5 Jonathan Druart 2015-05-27 15:20:57 UTC
Created attachment 39591 [details] [review]
Bug 13619: Acq home: ensure 'manage suggestions' goes to pending suggestions

The link on the start page of Koha goes to the pending suggestions tab
explicitly. The link on the acquisition start page doesn't do that so
when you have your own status it might show another tab first.
Patch links to be the same and explicitly target the pending tab.

To test:
- create a new suggestion
- verify link from the acq start page leads to the pending tab
- verify link from the Koha start page does the same

Signed-off-by: Marjorie <marjorie.barry-vila@ccsr.qc.ca>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 6 Tomás Cohen Arazi 2015-06-05 16:04:25 UTC
Patch pushed to master.

Thanks Katrina!